“Coordinate Reference System Selector” query/window after processing.run()

2018-01-24 01:03 PM - Mike Blechschmidt

Status: Closed

Priority: Normal

Assignee:

Category: Processing/OGR

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25844

Description

Convert a DXF with processing(plugin)

@processing.run('gdal:convertformat',{'INPUT':'d:/tar/mytest.dxf','OPTIONS':'','OUTPUT': 'c:/../x.shp'})

The query of the CRS is absolutely superfluous, since no transformation should take place and also no projection file must be written.

The code for QGIS 2.xx 

processing.runalg('gdalogr:convertformat','d:/tar/mytest.dxf‌​',0,None,'c:/../x.shp')

works without Problems (without window)

Associated revisions

Revision 22de2511 - 2018-01-29 08:15 PM - Nyall Dawson

[processing] Correctly supress CRS selector dialog when testing

input layer validity

TODO: we NEED a non-hacky way to supress this dialog and allow

invalid CRS for layers!

Fixes #17948

History

#1 - 2018-01-24 01:04 PM - Mike Blechschmidt

- Assignee deleted (Victor Olaya)

Convert a DXF with processing(plugin)

processing.run('gdal:convertformat',{'INPUT':'d:/tar/mytest.dxf','OPTIONS':'','OUTPUT': 'c:/../x.shp'})

The query of the CRS is absolutely superfluous, since no transformation should take place and also no projection file must be written.

The code for QGIS 2.xx 

processing.runalg('gdalogr:convertformat','d:/tar/mytest.dxf‌​',0,None,'c:/../x.shp')

works without Problems (without window)

#2 - 2018-01-24 09:10 PM - Nyall Dawson

- Status changed from Open to Feedback
Why is the crs irrelevant? You still need to specify one whenever you load a layer with an unknown crs into QGIS (or set a default one in options)

#3 - 2018-01-25 07:55 AM - Mike Blechschmidt

This command does not load a layer into QGIS. There is only one format conversion DXF -> Shape without transformation.

In 2.xx basically no CRS was asked at this point.

btw:

With a shape as source (without *.prj) also in 3.0 no CRS is queried!

#4 - 2018-01-25 08:07 AM - Nyall Dawson

- Regression? changed from No to Yes

#5 - 2018-01-29 04:08 AM - Nyall Dawson

- Status changed from Feedback to Open

PR at https://github.com/qgis/QGIS/pull/6198

#6 - 2018-01-29 04:12 AM - Nyall Dawson

- Status changed from Open to In Progress

#7 - 2018-01-29 08:15 PM - Nyall Dawson

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|22de251156f54984a3992aa5433cccc42ff1e059.

#8 - 2018-02-21 09:42 PM - Giovanni Manghi

- Resolution set to fixed/implemented
https://github.com/qgis/QGIS/pull/6198

